-- BEGIN COPYRIGHT
--
-- Licensed Materials - Property of IBM
-- 5724-L01 (C) Copyright IBM Corporation 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- END COPYRIGHT
--
--
--

-- create the database:
create database @DB_NAME@ automatic storage yes  using codeset UTF-8 territory US pagesize 32768;

-- connect to the created database:
connect to @DB_NAME@;

--The following grant is used for databases without enhanced security.
--For more information, review the Info Center for Enhancing Security for DB2.
grant dbadm on database to user @DB_USER@;
UPDATE DB CFG FOR @DB_NAME@ USING LOGFILSIZ 4096 DEFERRED;
UPDATE DB CFG FOR @DB_NAME@ USING LOGSECOND 64 DEFERRED;

connect reset;

